Subject: bug#28792: 26.0.60; Deleting to a custom trash directory in Dired gives error

From: Kaushal Modi <[email-masked]>
Date: Thu, 12 Oct 2017 15:31:05 +0000

On Thu, Oct 12, 2017 at 11:27 AM Andreas Schwab <[email-masked]> wrote:

> On Okt 12 2017, Kaushal Modi <[email-masked]> wrote:
>
> > But it seems to work in some cases i.e. trashing a dir works*. See my
> > recipe in my earlier message in this debbugs thread[1]. Somehow this
> error
> > has a correlation with relative locations of the user-set trash dir and
> > to-be-deleted dir..
>
> That depend on whether the trash is on the same file system as the
> directory to trash.  rename-file now refuses to copy directory across
> file systems unless the target name ends in a slash.
>

That means that as dired-do-delete is a wrapper at some level over
move-file-to-trash, that slash appending should be done in dired somewhere?
-- 

Kaushal Modi